{% extends 'property_vacancy_management/building_unit/archive/overview.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/archive/overview_map') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/archive/overview_map') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary header-brand">Archivierte Leerstände und Bestandsobjekte</span>
    </div>
{% endblock %}

{% block main %}
    <div id="building_unit_overview_map"
         class="flex-grow-1"
         data-loading-text="Lade Karte"
         {% if geolocationPoint != null %}
             data-longitude="{{ geolocationPoint.getPoint().getLongitude() }}"
             data-latitude="{{ geolocationPoint.getPoint().getLatitude() }}"
             data-can-create-building-unit="{{ canCreateBuildingUnit }}"
        {% endif %}
    >
    </div>
{% endblock %}
